libzypp 17.37.10

zyppng::detail::WaitForHelper Struct Reference

`#include <zypp-core/zyppng/pipelines/wait.h>`

## Public Member Functions
template<template< class, class... > class Container, class AsyncOp, typename ... CArgs, std::enable_if_t< detail::is_async_op_v< AsyncOp >, int > = 0>
auto | operator() (Container< std::shared_ptr< AsyncOp >, CArgs... > &&ops) -> zyppng::AsyncOpRef< Container< typename AsyncOp::value_type > >
template<template< class, class... > class Container, class Res, typename ... CArgs, std::enable_if_t< !detail::is_async_op_v< Res >, int > = 0>
auto | operator() (Container< Res, CArgs... > ops) -> Container< Res, CArgs... >

## Detailed Description

Definition at line 76 of file wait.h.

## Member Function Documentation

## ◆ operator()() [1/2]

template<template< class, class... > class Container, class AsyncOp, typename ... CArgs, std::enable_if_t< detail::is_async_op_v< AsyncOp >, int > = 0>

auto zyppng::detail::WaitForHelper::operator() | ( | Container< std::shared_ptr< AsyncOp >, CArgs... > && | ops | ) | -> zyppng::AsyncOpRef< Container<typename AsyncOp::value_type> >
| inline

Definition at line 84 of file wait.h.

## ◆ operator()() [2/2]

template<template< class, class... > class Container, class Res, typename ... CArgs, std::enable_if_t< !detail::is_async_op_v< Res >, int > = 0>

auto zyppng::detail::WaitForHelper::operator() | ( | Container< Res, CArgs... > | ops | ) | -> Container< Res, CArgs... >
| inline

Definition at line 96 of file wait.h.

The documentation for this struct was generated from the following file:

- zypp-core/zyppng/pipelines/wait.h